Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#377 3.31Y for Linux

v1.0_(example)
closed
nobody
None
1
2015-02-24
2013-08-30
wgwau
No

Hi,

I'm trying to set up the Linux version of PWSafe with Yubico support:
so far I've had to add ykcore.h and ykpers.h and I'm not sure if I need anything more than that.
Also, after finding and depositing ykpers.h into the src folder the make process throws up all sorts of errors,
as much of which I have tried to provide below. Could you advise further on what files I need to get to make this work
and any other advice on getting this to work?

In file included from PWYubi.cpp:17:0:
../../core/ykcore.h:792:24220: warning: multi-character character constant [-Wmultichar]
../../core/ykcore.h:792:24230: warning: character constant too long for its type [enabled by default]
../../core/ykcore.h:792:24279: warning: multi-character character constant [-Wmultichar]
../../core/ykcore.h:792:24289: warning: character constant too long for its type [enabled by default]
In file included from PWYubi.cpp:17:0:
../../core/ykcore.h:792:21: error: stray ‘#’ in program
In file included from PWYubi.cpp:17:0:
../../core/ykcore.h:792:24345: warning: multi-character character constant [-Wmultichar]
../../core/ykcore.h:792:24355: warning: character constant too long for its type [enabled by default]
../../core/ykcore.h:792:24385: warning: multi-character character constant [-Wmultichar]
../../core/ykcore.h:792:24395: warning: character constant too long for its type [enabled by default]
In file included from PWYubi.cpp:17:0:
../../core/ykcore.h:792:21: error: stray ‘#’ in program
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:7:19: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:9:9: error: stray ‘\302 in program
../../core/ykpers.h:9:9: error: stray ‘\267 in program
../../core/ykpers.h:9:9: error: stray ‘\302 in program
../../core/ykpers.h:9:9: error: stray ‘\267 in program
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:49:39: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:49:56: warning: character constant too long for its type [enabled by default]
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:216:25: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:222:25: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:403:328: error: invalid suffix "_bits_key_for_HOTP_and_HMAC" on integer constant
../../core/ykpers.h:436:245: error: too many decimal points in number
../../core/ykpers.h:440:245: error: too many decimal points in number
../../core/ykpers.h:444:245: error: too many decimal points in number
../../core/ykpers.h:448:245: error: too many decimal points in number
../../core/ykpers.h:452:245: error: too many decimal points in number
../../core/ykpers.h:456:245: error: too many decimal points in number
../../core/ykpers.h:460:245: error: too many decimal points in number
../../core/ykpers.h:464:245: error: too many decimal points in number
../../core/ykpers.h:468:242: error: too many decimal points in number
../../core/ykpers.h:472:242: error: too many decimal points in number
../../core/ykpers.h:476:242: error: too many decimal points in number
../../core/ykpers.h:480:242: error: too many decimal points in number
../../core/ykpers.h:484:242: error: too many decimal points in number
../../core/ykpers.h:488:242: error: too many decimal points in number
../../core/ykpers.h:492:242: error: too many decimal points in number
../../core/ykpers.h:496:242: error: too many decimal points in number
../../core/ykpers.h:500:242: error: too many decimal points in number
../../core/ykpers.h:504:242: error: too many decimal points in number
../../core/ykpers.h:508:242: error: too many decimal points in number
../../core/ykpers.h:512:242: error: too many decimal points in number
../../core/ykpers.h:516:242: error: too many decimal points in number
../../core/ykpers.h:520:242: error: too many decimal points in number
../../core/ykpers.h:524:242: error: too many decimal points in number
../../core/ykpers.h:536:17: warning: character constant too long for its type [enabled by default]
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:542:5: error: stray ‘\342 in program
../../core/ykpers.h:542:5: error: stray ‘\200 in program
../../core/ykpers.h:542:5: error: stray ‘\246 in program
../../core/ykpers.h:789:60: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:70: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:168: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:178: warning: multi-character character constant [-Wmultichar]
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:3168: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:3178: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:3207: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:3217: warning: multi-character character constant [-Wmultichar]
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:21: error: stray ‘#’ in program
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:3294: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:3304: warning: multi-character character constant [-Wmultichar]
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:21: error: stray ‘#’ in program
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:3381: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:3391: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:3420: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:3430: warning: multi-character character constant [-Wmultichar]
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:21: error: stray ‘#’ in program
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:3503: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:3513: warning: multi-character character constant [-Wmultichar]
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:21: error: stray ‘#’ in program
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:3587: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:3597: warning: multi-character character constant [-Wmultichar]
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:21: error: stray ‘#’ in program
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:3672: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:3682: warning: multi-character character constant [-Wmultichar]
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:21: error: stray ‘#’ in program
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:3754: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:3764: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:3793: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:3803: warning: multi-character character constant [-Wmultichar]
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:21: error: stray ‘#’ in program
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:3870: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:3880: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:3995: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:4005: warning: multi-character character constant [-Wmultichar]
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:21: error: stray ‘#’ in program
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:4060: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:4070: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:4099: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:4109: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:4288: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:4298: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:4327: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:4337: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:4545: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:4555: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:4755: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:4765: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:4989: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:4999: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:5028: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:5038: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:5237: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:5247: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:5439: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:5449: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:5478: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:5488: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:5583: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:5593: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:5931: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:5941: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:5970: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:5980: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:6313: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:6323: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:6640: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:6650: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:6746: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:6756: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:7172: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:7182: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:7211: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:7221: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:7586: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:7596: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:7971: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:7981: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:8143: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:8153: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:8519: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:8529: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:8558: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:8568: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:8694: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:8704: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:8898: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:8908: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:9128: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:9138: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:9500: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:9510: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:10092: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:10102: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:10478: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:10488: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:10898: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:10908: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:10937: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:10947: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:11159: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:11169: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:11416: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:11426: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:11784: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:11794: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:12167: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:12177: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:12552: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:12562: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:12591: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:12601: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:13056: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:13066: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:13509: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:13519: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:13958: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:13968: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:14306: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:14316: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:14604: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:14614: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:14643: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:14653: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:14969: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:14979: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:15297: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:15307: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:15625: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:15635: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:15955: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:15965: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:16285: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:16295: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:16611: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:16621: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:16940: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:16950: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:17266: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:17276: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:17592: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:17602: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:17631: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:17641: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:17956: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:17966: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:18286: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:18296: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:18615: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:18625: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:18944: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:18954: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:19275: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:19285: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:19606: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:19616: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:19936: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:19946: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:20264: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:20274: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:20592: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:20602: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:20920: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:20930: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:21248: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:21258: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:21584: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:21594: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:21920: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:21930: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:22255: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:22265: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:22584: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:22594: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:22911: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:22921: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:23238: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:23248: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:23569: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:23579: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:23609: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:23619: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:23945: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:23955: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:24281: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:24291: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:24618: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:24628: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:24955: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:24965: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:25283: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:25293: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:25614: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:25624: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:25940: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:25950: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:26266: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:26276: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:26306: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:26316: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:26552: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:26562: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:26800: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:26810: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:27048: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:27058: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:27298: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:27308: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:27548: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:27558: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:27794: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:27804: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:28043: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:28053: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:28289: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:28299: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:28535: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:28545: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:28575: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:28585: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:28820: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:28830: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:29069: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:29079: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:29317: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:29327: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:29565: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:29575: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:29815: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:29825: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:30065: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:30075: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:30314: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:30324: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:30561: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:30571: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:30808: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:30818: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:31055: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:31065: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:31302: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:31312: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:31557: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:31567: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:31812: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:31822: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:32066: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:32076: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:32314: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:32324: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:32560: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:32570: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:32806: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:32816: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:33056: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:33066: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:33096: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:33106: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:33351: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:33361: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:33606: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:33616: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:33862: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:33872: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:34118: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:34128: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:34365: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:34375: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:34615: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:34625: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:34860: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:34870: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:35105: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:35115: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:35145: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:35155: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:35381: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:35391: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:35421: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:35431: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:35685: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:35695: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:36073: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:36083: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:36224: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:36234: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:36375: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:36385: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:36609: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:36619: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:36967: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:36977: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:37117: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:37127: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:37267: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:37277: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:37307: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:37317: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:37571: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:37581: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:37802: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:37812: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:38036: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:38046: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:38076: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:38086: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:38610: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:38620: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:39144: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:39154: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:39184: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:39194: warning: character constant too long for its type [enabled by default]
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:21: error: stray ‘#’ in program
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:39273: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:39283: warning: character constant too long for its type [enabled by default]
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:21: error: stray ‘#’ in program
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:39361: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:39371: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:39401: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:39411: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:39755: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:39765: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:40057: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:40067: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:40097: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:40107: warning: character constant too long for its type [enabled by default]
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:21: error: stray ‘#’ in program
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:40185: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:40195: warning: character constant too long for its type [enabled by default]
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:21: error: stray ‘#’ in program
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:40275: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:40285: warning: character constant too long for its type [enabled by default]
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:21: error: stray ‘#’ in program
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:40365: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:40375: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:40405: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:40415: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:40643: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:40653: warning: character constant too long for its type [enabled by default]
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:21: error: stray ‘#’ in program
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:40744: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:40754: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:41003: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:41013: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:41043: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:41053: warning: character constant too long for its type [enabled by default]
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:21: error: stray ‘#’ in program
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:41130: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:41140: warning: character constant too long for its type [enabled by default]
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:21: error: stray ‘#’ in program
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:41212: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:41222: warning: character constant too long for its type [enabled by default]
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:21: error: stray ‘#’ in program
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:41299: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:41309: warning: character constant too long for its type [enabled by default]
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:21: error: stray ‘#’ in program
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:41386: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:41396: warning: character constant too long for its type [enabled by default]
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:21: error: stray ‘#’ in program
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:41473: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:41483: warning: character constant too long for its type [enabled by default]
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:21: error: stray ‘#’ in program
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:41555: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:41565: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:41595: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:41605: warning: character constant too long for its type [enabled by default]
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:21: error: stray ‘#’ in program
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:41673: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:41683: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:41732: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:41742: warning: character constant too long for its type [enabled by default]
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:21: error: stray ‘#’ in program
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:41798: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:41808: warning: character constant too long for its type [enabled by default]
../../core/ykpers.h:789:41838: warning: multi-character character constant [-Wmultichar]
../../core/ykpers.h:789:41848: warning: character constant too long for its type [enabled by default]
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:21: error: stray ‘#’ in program
In file included from PWYubi.cpp:17:0:
../../core/ykcore.h:4:1: error: expected unqualified-id before < token
In file included from PWYubi.cpp:17:0:
../../core/ykcore.h:792:3467: error: stdlib does not name a type
../../core/ykcore.h:792:3479: error: expected unqualified-id before < token
../../core/ykcore.h:792:3550: error: stdbool does not name a type
../../core/ykcore.h:792:3563: error: expected unqualified-id before < token
../../core/ykcore.h:792:3634: error: stdint does not name a type
../../core/ykcore.h:792:3646: error: expected unqualified-id before < token
../../core/ykcore.h:792:3855: error: C does not name a type
../../core/ykcore.h:792:3862: error: expected unqualified-id before < token
../../core/ykcore.h:792:24255: error: expected unqualified-id before < token
In file included from PWYubi.cpp:17:0:
../../core/ykcore.h:836:18: error: expected unqualified-id before numeric constant
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:789:3467: error: stddef does not name a type
../../core/ykpers.h:789:3479: error: expected unqualified-id before < token
../../core/ykpers.h:789:3550: error: stdbool does not name a type
../../core/ykpers.h:789:3563: error: expected unqualified-id before < token
../../core/ykpers.h:789:3634: error: ykstatus does not name a type
../../core/ykpers.h:789:3648: error: expected unqualified-id before < token
../../core/ykpers.h:789:3719: error: ykdef does not name a type
../../core/ykpers.h:789:3730: error: expected unqualified-id before < token
../../core/ykpers.h:789:3939: error: C does not name a type
../../core/ykpers.h:789:3946: error: expected unqualified-id before < token
../../core/ykpers.h:789:41708: error: expected unqualified-id before < token
In file included from PWYubi.cpp:18:0:
../../core/ykpers.h:833:18: error: expected unqualified-id before numeric constant
make[2]: *** [../../../obj/unicodedebug/os/PWYubi.o] Error 1

Discussion

  • Rony Shapiro
    Rony Shapiro
    2013-08-31

    • status: open --> pending
     
  • Rony Shapiro
    Rony Shapiro
    2013-08-31

    Hi,

    The next release of the main PasswordSafe versions for Linux and Windows will have YubiKey support integrated in them. If you clone the current repository from https://sourceforge.net/p/passwordsafe/git-code/ci/master/tree/ you should be able to follow the instructions in the README.LINUX.DEVELOPERS and build a Yubi-capable version. If you still have problems, it will be a lot easier for me to help you with this that with the previous version.

     
  • wgwau
    wgwau
    2013-09-03

    Hi,

    I tried that but I was still asked to provide ykcore.h and ykpers.h and, while the first one worked fine, the ykpers.h obtained from the yubikey-personalisation git threw up the following errors:

    In file included from PWYubi.cpp:18:0:
    ../../core/ykpers.h:789:41798: warning: multi-character character constant [-Wmultichar]
    ../../core/ykpers.h:789:41808: warning: character constant too long for its type [enabled by default]
    ../../core/ykpers.h:789:41838: warning: multi-character character constant [-Wmultichar]
    ../../core/ykpers.h:789:41848: warning: character constant too long for its type [enabled by default]
    In file included from PWYubi.cpp:18:0:
    ../../core/ykpers.h:789:21: error: stray ‘#’ in program
    In file included from PWYubi.cpp:17:0:
    ../../core/ykcore.h:4:1: error: expected unqualified-id before ‘<’ token
    In file included from PWYubi.cpp:17:0:
    ../../core/ykcore.h:756:3467: error: ‘stdlib’ does not name a type
    ../../core/ykcore.h:756:3479: error: expected unqualified-id before ‘<’ token
    ../../core/ykcore.h:756:3550: error: ‘stdbool’ does not name a type
    ../../core/ykcore.h:756:3563: error: expected unqualified-id before ‘<’ token
    ../../core/ykcore.h:756:3634: error: ‘stdint’ does not name a type
    ../../core/ykcore.h:756:3646: error: expected unqualified-id before ‘<’ token
    ../../core/ykcore.h:756:3855: error: ‘C’ does not name a type
    ../../core/ykcore.h:756:3862: error: expected unqualified-id before ‘<’ token
    ../../core/ykcore.h:756:24255: error: expected unqualified-id before ‘<’ token
    In file included from PWYubi.cpp:17:0:
    ../../core/ykcore.h:800:18: error: expected unqualified-id before numeric constant
    In file included from PWYubi.cpp:18:0:
    ../../core/ykpers.h:789:3467: error: ‘stddef’ does not name a type
    ../../core/ykpers.h:789:3479: error: expected unqualified-id before ‘<’ token
    ../../core/ykpers.h:789:3550: error: ‘stdbool’ does not name a type
    ../../core/ykpers.h:789:3563: error: expected unqualified-id before ‘<’ token
    ../../core/ykpers.h:789:3634: error: ‘ykstatus’ does not name a type
    ../../core/ykpers.h:789:3648: error: expected unqualified-id before ‘<’ token
    ../../core/ykpers.h:789:3719: error: ‘ykdef’ does not name a type
    ../../core/ykpers.h:789:3730: error: expected unqualified-id before ‘<’ token
    ../../core/ykpers.h:789:3939: error: ‘C’ does not name a type
    ../../core/ykpers.h:789:3946: error: expected unqualified-id before ‘<’ token
    ../../core/ykpers.h:789:41708: error: expected unqualified-id before ‘<’ token
    In file included from PWYubi.cpp:18:0:
    ../../core/ykpers.h:833:18: error: expected unqualified-id before numeric constant
    make[3]: [../../../obj/unicoderelease/os/PWYubi.o] Error 1
    make[3]: Leaving directory /home/wil/Documents/Compiling/passwordsafe-git-code/src/os/linux' make[2]: *** [unicoderelease] Error 2 make[2]: Leaving directory/home/wil/Documents/Compiling/passwordsafe-git-code/src/os/linux'
    make[1]:
    [unicoderelease] Error 2
    make[1]: Leaving directory `/home/wil/Documents/Compiling/passwordsafe-git-code'
    make: *** [release] Error 2

     
  • Rony Shapiro
    Rony Shapiro
    2013-09-03

    I think the problem is that you're trying to use the code from the yubico git repository as-is. The yubico libraries should be configured, compiled, tested and installed before they can be used by pwsafe. See the Yubico readme files for details on how to do that.

     
  • Rony Shapiro
    Rony Shapiro
    2013-09-24

    • Status: pending --> closed